<?php

namespace FiloBlu\EvaAttributes\Model;

class BaseAttribute
{

    protected $entityTypeId;

    protected $attributeCode;

    protected $data;

    /**
     * BaseAttribute constructor.
     * @param string $entityTypeId
     * @param string $attributeCode
     * @param array $data
     */
    public function __construct($entityTypeId, $attributeCode, array $data)
    {
        $this->entityTypeId = $entityTypeId;
        $this->attributeCode = $attributeCode;
        $this->data = $data;
    }

    public function getEntityTypeId()
    {
        return $this->entityTypeId;
    }

    public function getData()
    {
        return $this->data;
    }

    public function getAttributeCode()
    {
        return $this->attributeCode;
    }
}